org.apache.xml.dtm.ref.sax2dtm

## Class SAX2DTM2.TypedAncestorIterator

- java.lang.Object
- - org.apache.xml.dtm.ref.DTMAxisIteratorBase
  - - org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
    - - org.apache.xml.dtm.ref.sax2dtm.SAX2DTM2.AncestorIterator
      - - org.apache.xml.dtm.ref.sax2dtm.SAX2DTM2.TypedAncestorIterator

All Implemented Interfaces:
  java.lang.Cloneable, DTMAxisIterator

Enclosing class:
  SAX2DTM2

    public final class SAX2DTM2.TypedAncestorIterator
    extends SAX2DTM2.AncestorIterator

Typed iterator that returns the ancestors of a given node.

### Field Summary

### Fields inherited from interface org.apache.xml.dtm.DTMAxisIterator

`END`

### Constructor Summary

Constructors
Constructor and Description
`SAX2DTM2.TypedAncestorIterator(int type)` Constructor TypedAncestorIterator

### Method Summary

Methods
`int` `getLast()` Returns the position of the last node within the iteration, as defined by XPath.
`int` `getNodeByPosition(int position)` Return the node at the given position.
`DTMAxisIterator` `setStartNode(int node)` Set start to END should 'close' the iterator, i.e. subsequent call to next() should return END.

### Methods inherited from class org.apache.xml.dtm.ref.sax2dtm.SAX2DTM2.AncestorIterator

`cloneIterator, getStartNode, gotoMark, isReverse, next, reset, setMark`

### Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase

`getAxis, getPosition, includeSelf, isDocOrdered, setRestartable`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SAX2DTM2.TypedAncestorIterator

    public SAX2DTM2.TypedAncestorIterator(int type)

Constructor TypedAncestorIterator

Parameters:
  `type` - The extended type ID being requested.

### Method Detail

#### setStartNode

    public DTMAxisIterator setStartNode(int node)

Set start to END should 'close' the iterator, i.e. subsequent call to next() should return END.

Specified by:
  `setStartNode` in interface `DTMAxisIterator`
Overrides:
  `setStartNode` in class `SAX2DTM2.AncestorIterator`
Parameters:
  `node` - Sets the root of the iteration.
Returns:
  A DTMAxisIterator set to the start of the iteration.

#### getNodeByPosition

    public int getNodeByPosition(int position)

Return the node at the given position.

Specified by:
  `getNodeByPosition` in interface `DTMAxisIterator`
Overrides:
  `getNodeByPosition` in class `DTMAxisIteratorBase`
Parameters:
  `position` - The position
Returns:
  The node at the given position.

#### getLast

    public int getLast()

Returns the position of the last node within the iteration, as defined by XPath.

Specified by:
  `getLast` in interface `DTMAxisIterator`
Overrides:
  `getLast` in class `DTMAxisIteratorBase`
Returns:
  The number of nodes in this iterator (forward) or 1 (reverse).